import Mathlib.Analysis.Calculus.LineDeriv.Basic

noncomputable def Real.laplace : (R [× n] → ℝ) → (ℂ → ℝ) := by
  intro f

  let f₁ := fun x ↦ lineDeriv ℝ f x 1
  let f₁₁ := fun x ↦ lineDeriv ℝ f₁ x 1
  let f₂ := fun x ↦ lineDeriv ℝ f x Complex.I
  let f₂₂ := fun x ↦ lineDeriv ℝ f₂ x Complex.I
  exact f₁₁ + f₂₂
